#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
  long long br=0,n,i,k,j;
  scanf("%lld",&n);
  long long a[n];

  for(i=0;i<n;i++)
    scanf("%lld",&a[i]);

  if (n==2)
  {
   swap(a[0],a[1]);
  }
  else

  {

  for (i=1;i<n;i++)
   {
     k=max_element(a+i,a+n)-a;
     if (a[i-1]<a[k])
      {
        for (j=1;j<n;j++)
        {
          if (a[k]==a[j] || k<j)
          k=j;
        }
        swap(a[i-1],a[k]);
        br++;
        break;
     }
   }
  }


   for(i=0;i<n;i++)
 printf("%lld\n",a[i]);


}